Greenbone Vulnerability Management Libraries: gmp_create_target_opts_t Struct Reference

Greenbone Vulnerability Management Libraries 23.1.1

Data Fields
gmp_create_target_opts_t Struct Reference

Struct holding options for gmp create_target command. More...

`#include <gmp.h>`

## Data Fields
int | ssh_credential_port
| Port for SSH access.
const char * | ssh_credential_id
| ID of SSH credential.
const char * | smb_credential_id
| ID of SMB credential.
const char * | esxi_credential_id
| ID of ESXi credential.
const char * | snmp_credential_id
| ID of SNMP credential.
const char * | port_range
| Port range.
const char * | name
| Name of target.
const char * | comment
| Comment on target.
const char * | hosts
| Name of target.
const char * | exclude_hosts
| Hosts to exclude.
const char * | alive_tests
| Alive tests.
int | reverse_lookup_only
| Scanner pref reverse_lookup_only.
int | reverse_lookup_unify
| Scanner pref reverse_lookup_unify.

## Detailed Description

Struct holding options for gmp create_target command.

## Field Documentation

## ◆ alive_tests

const char* gmp_create_target_opts_t::alive_tests

Alive tests.

## ◆ comment

const char* gmp_create_target_opts_t::comment

Comment on target.

## ◆ esxi_credential_id

const char* gmp_create_target_opts_t::esxi_credential_id

ID of ESXi credential.

## ◆ exclude_hosts

const char* gmp_create_target_opts_t::exclude_hosts

Hosts to exclude.

## ◆ hosts

const char* gmp_create_target_opts_t::hosts

Name of target.

## ◆ name

const char* gmp_create_target_opts_t::name

Name of target.

## ◆ port_range

const char* gmp_create_target_opts_t::port_range

Port range.

## ◆ reverse_lookup_only

int gmp_create_target_opts_t::reverse_lookup_only

Scanner pref reverse_lookup_only.

## ◆ reverse_lookup_unify

int gmp_create_target_opts_t::reverse_lookup_unify

Scanner pref reverse_lookup_unify.

## ◆ smb_credential_id

const char* gmp_create_target_opts_t::smb_credential_id

ID of SMB credential.

## ◆ snmp_credential_id

const char* gmp_create_target_opts_t::snmp_credential_id

ID of SNMP credential.

## ◆ ssh_credential_id

const char* gmp_create_target_opts_t::ssh_credential_id

ID of SSH credential.

## ◆ ssh_credential_port

int gmp_create_target_opts_t::ssh_credential_port

Port for SSH access.

The documentation for this struct was generated from the following file:

- gmp/gmp.h